#
# spec file for package python-Cheetah3
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Cheetah3
Version:        3.2.1
Release:        2.1
Summary:        Template engine and code generation tool
License:        MIT
Group:          Development/Languages/Python
URL:            http://cheetahtemplate.org/
Source:         https://files.pythonhosted.org/packages/source/C/Cheetah3/Cheetah3-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Conflicts:      python-Cheetah
Provides:       Cheetah3 = %{version}
%python_subpackages

%description
Cheetah3 is a template engine and code generation tool.

It can be used standalone or combined with other tools and frameworks. Web
development is its principle use, but Cheetah is flexible and can also be
used to generate C++ game code, Java, SQL, form emails and even Python code.

It is a fork of the original CheetahTemplate library.

%prep
%setup -q -n Cheetah3-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitearch}/Cheetah/Tests
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export PYTHONDONTWRITEBYTECODE=1
%python_expand PATH=$PATH:%{buildroot}%{_bindir} PYTHONPATH=$(pwd) $python Cheetah/Tests/Test.py

%files %{python_files}
%license LICENSE
%doc ANNOUNCE.rst README.rst BUGS
%python3_only %{_bindir}/cheetah
%python3_only %{_bindir}/cheetah-analyze
%python3_only %{_bindir}/cheetah-compile
%{python_sitearch}/*

%changelog
* Thu Mar 21 2019 tchvatal@suse.com
- Enable py2 as it supports python2
- Update to 3.2.1:
  * Changed LoadTemplate.loadTemplate{Module,Class}: the loaded module’s __name__ set to just the file name.
  * Use imp for Python 2, importlib for Python 3.
  * Fix a bug in LoadTemplate.loadTemplate{Module,Class}: raise ImportError if the template was not found.
* Tue Mar  5 2019 tchvatal@suse.com
- Update to 3.2.0:
  * Dropped support for Python 3.3.
  * Implement LoadTemplate.loadTemplate{Module,Class} to load templates from .py[co], .py or .tmpl.
  * CheetahDirOwner caches compiled template in the template directory.
  * CheetahDirOwner now silently ignores errors on compiled templates writing. To get tracebacks set CheetahDirOwner.debuglevel = 1.
  * CheetahDirOwner and DirOwner byte-compile compiled templates to .pyc/.pyo. Errors on writing are silently ignored.
  * Implement Compiler.__unicode__ under Python 2 and Compiler.__bytes__ under Python 3.
  * Fix a bug in Compiler.__str__: under Python 2 the method now always returns str; it encodes unicode to str using encoding from the compiled source. Under Python 3 the method decodes bytes to str.
- Execute tests
* Mon Dec 10 2018 tchvatal@suse.com
- Fix fdupes call
* Fri Apr  6 2018 mpluskal@suse.com
- Update to version 3.1.0:
  * Fix Cheetah to work with PyPy.
  * Code cleanup: fix code style to satisfy flake8 linter.
  * Rename www directory to docs.
* Fri Dec 29 2017 mpluskal@suse.com
- Conflict with python-cheetah
* Thu Dec 28 2017 jengelh@inai.de
- Remove some filler wording from descriptions.
  The summary can do without repeating the software name.
- Avoid running fdupes over partition boundaries.
* Sun Dec 24 2017 mpluskal@suse.com
- Cleanup spec file
  * Run spec-cleaner
  * Remove text that does not belong to describtions
  * Install license
- Build only python3 version
* Thu Dec  7 2017 boris@steki.net
- initial packaging
